Commit 3fbf2cce authored by Laurent Montel's avatar Laurent Montel 😁

We need to use a RichTextComposer

parent 1caf31b4
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.5.41")
set(PIM_VERSION "5.5.42")
if (POLICY CMP0053)
cmake_policy(SET CMP0053 NEW)
......
......@@ -31,7 +31,7 @@ public:
}
QWidget *mParentWidget;
KPIMTextEdit::RichTextEditor *mEditor;
KPIMTextEdit::RichTextComposer *mEditor;
};
PluginEditorInitInterface::PluginEditorInitInterface(QObject *parent)
......@@ -56,12 +56,12 @@ QWidget *PluginEditorInitInterface::parentWidget() const
return d->mParentWidget;
}
KPIMTextEdit::RichTextEditor *PluginEditorInitInterface::richTextEditor() const
KPIMTextEdit::RichTextComposer *PluginEditorInitInterface::richTextEditor() const
{
return d->mEditor;
}
void PluginEditorInitInterface::setRichTextEditor(KPIMTextEdit::RichTextEditor *richTextEditor)
void PluginEditorInitInterface::setRichTextEditor(KPIMTextEdit::RichTextComposer *richTextEditor)
{
d->mEditor = richTextEditor;
}
......
......@@ -25,7 +25,7 @@
namespace KPIMTextEdit
{
class RichTextEditor;
class RichTextComposer;
}
namespace MessageComposer
......@@ -44,8 +44,8 @@ public:
void setParentWidget(QWidget *parent);
QWidget *parentWidget() const;
KPIMTextEdit::RichTextEditor *richTextEditor() const;
void setRichTextEditor(KPIMTextEdit::RichTextEditor *richTextEditor);
KPIMTextEdit::RichTextComposer *richTextEditor() const;
void setRichTextEditor(KPIMTextEdit::RichTextComposer *richTextEditor);
public Q_SLOTS:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment